{% extends "header.html" %}
{% block title %}GCT | Setting New password{% endblock %}

{% block content %}
    <nav id="mainNav" class="navbar navbar-default navbar-fixed-top">
        <div class="container-fluid">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div>
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse"
                        data-target="#bs-example-navbar-collapse-1">
                    <span class="sr-only">Toggle navigation</span> Menu <i class="fa fa-bars"></i>
                </button>
                <a class="navbar-brand page-scroll" href="{% url 'index' %}"><p
                        style="color:#128c74;font-family:'Open Sans','Helvetica Neue',Arial,sans-serif;font-weight: bolder">
                    GCT PORTAL</p></a>
            </div>

            <!-- Collect the nav links, forms, and other content for toggling -->

            <!-- /.navbar-collapse -->
        </div>
        <!-- /.container-fluid -->
    </nav>
    {% if validlink %}
        <div class="login">
            <div class="login_wrapper">
                <div class="animate form login_form">
                    <section class="login_content">
                        <form method="post" action="">
                            <h1>Password Reset</h1>
                            <p>Please enter your new password twice.<br/>
                                So we can verify you typed it in correctly.</p>
                            <div style="display:none">
                                <input type="hidden" value="{{ csrf_token }}" name="csrfmiddlewaretoken">
                            </div>
                            {{ form.new_password1.errors }}


                            <div>

                                <input class="form-control" name="new_password1" type="password" placeholder="Password"
                                       required/>

                            </div>
                            {{ form.new_password2.errors }}


                            <div>

                                <input class="form-control" name="new_password2" type="password"
                                       placeholder="Password(again)" required/>

                            </div>
                            <div class="col-middle">
                                <div class="text-center">
                                    <div class="col-md-4 col-md-offset-2 col-xs-6 col-xs-offset-2 col-sm-4 col-sm-offset-2 ">
                                        <input name="submit" class="btn btn-danger" type="submit"
                                               value="Change Password"/></div>
                                </div>
                            </div>


                            <br/><br/><br/>
                            <div class="separator">
                                <br/>
                                {% load static %}
                                <img src="{% static "img/gctb.png" %}" width="40" height="48" alt="gct image"/>
                                <span><h1> GCT Portal</h1></span>
                                <p>©2016 All Rights Reserved. GCT PORTAL - a project by automators!</p>
                            </div>
                </div>
                </form>
                </section>
            </div>
        </div>
        </div>

    {% else %}
        <div class="nav-md">
            <div class="container body">
                <div class="main_container">
                    <!-- page content -->
                    <div class="col-md-12">
                        <div class="col-middle">
                            <div class="text-center">
                                <h1 class="error-number">Password reset unsuccessful</h1>
                                <p>The password reset link was invalid, <br/>
                                    possibly because it has already been used. <br/>
                                    Please request a new password reset.</p>
                                <div class="separator">
                                    <br/>
                                    {% load static %}
                                    <img src="{% static "img/gctb.png" %}" width="40" height="48" alt="gct image"/>
                                    <span><h1> GCT Portal</h1></span>
                                    <p>©2016 All Rights Reserved. GCT PORTAL - a project by automators!</p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- /page content -->
                </div>
            </div>
        </div>

    {% endif %}
{% endblock %}